Table of Contents

## Name

im_printdesc, im_Type2char, im_char2Type, im_BandFmt2char, im_char2BandFmt, im_Coding2char, im_char2Coding, im_Compression2char, im_char2Compression - decode image descriptors

## Synopsis

#include <vips/vips.h>
#include <vips/util.h>

void im_printdesc(image)
IMAGE *image;

char *im_Type2char( ty );
int ty;

char *im_BandFmt2char( bf );
int bf;

char *im_Coding2char( cod );
int cod;

char *im_Compression2char( comp );
int comp;

int im_char2Type( str );
char *str;

int im_char2BandFmt( str );
char *str;

int im_char2Coding( str );
char *str;

int im_char2Compression( str );
char *str;

## Description

im_printdesc(3) prints the image descriptor pointed by image. It is mainly used either for debugging purposes or to get information about a mmaped file. im_printdesc(3) makes the functions it uses to code and uncode the type fields in image headers generally available. These functions are:

im_Type2char(3) converts a Type code (such as MULTIBAND, see <vips/vips.h>) to a string. im_BandFmt2char(3) , im_Coding2char(3) and im_Compression2char(3) are similar. All return "<unknown Type>" if the value passed is outside the expected range.

im_char2Type(3) converts the other way, returning a small integer for success, and -1 for failure. Again, im_char2BandFmt(3) , im_char2Coding(3) and im_char2Compression are similar.

## See Also

header(1X) .

## Copyright

N. Dessipris

## Author

N. Dessipris - 11/04/1990

Table of Contents

- Name
- Synopsis
- Description
- See Also
- Copyright
- Author